#!/bin/bash --login
#PBS -N prace_bm
#PBS -o #STDOUTLOGFILE#
#PBS -e #STDERRLOGFILE#
#PBS -l mppwidth=#TASKS#
#PBS -l mppnppn=#TASKSPERNODE#
#PBS -l walltime=#TIME_LIMIT#
#PBS -A z01-prace

cd $PBS_O_WORKDIR/
export NPROC=`qstat -f $PBS_JOBID | awk '/mppwidth/ {print $3}'`
export NTASK=`qstat -f $PBS_JOBID | awk '/mppnppn/  {print $3}'`


echo "<jobstart at=\"`date`\" />" >> #OUTDIR#/start_info.xml
#PREPROCESS#
#MEASUREMENT# #STARTER# #ARGS_STARTER# #EXECUTABLE# #ARGS_EXECUTABLE#
#POSTPROCESS#
echo "<jobend at=\"`date`\" />" >> #OUTDIR#/end_info.xml
